View Issue Details

IDProjectCategoryView StatusLast Update
0003262Slicer4Module DataProbepublic2018-05-30 00:03
ReporterfedorovAssigned Topieper 
PrioritynormalSeverityminorReproducibilityalways
Status acknowledgedResolutionfixed 
Product Version 
Target VersionbacklogFixed in VersionSlicer 4.3.0 
Summary0003262: Data probe panel is not updated when scrolling volume slices using keyboard
Description

Need to move the mouse to trigger the update. Is this intentional behavior?

TagsNo tags attached.

Activities

pieper

pieper

2013-08-01 12:09

administrator   ~0009345

Please try r22253

fedorov

fedorov

2013-08-03 04:58

developer   ~0009376

Perfect - thanks a lot!

jcfr

jcfr

2015-09-14 21:14

administrator   ~0013271

Last edited: 2015-09-14 21:17

Re-opening the issue. Commit r23387 (ENH: Added mouse cursor position to vtkMRMLCrosshairNode.) most likely "broke" this.

Note that at the time of commit r23387, the magnified slice view had been removed. It was reintroduced only later by Alex in r24284 (added magnified slice view into DataProbe panel.)

lassoan

lassoan

2018-05-30 00:03

developer   ~0015795

Retarget stale issues to backlog.

Related Changesets

Slicer: 2145-support-for-installing-extension-from-file 4d2dd723

2013-08-01 16:09:31

pieper

Details Diff
BUG: 0003262 update data probe on non-mouse-move events

Allow key strokes and other events that change the slice display
to trigger updates to the DataProbe window. Only update the display
for the sliceView that matches the one most recently entered by
the mouse pointer.

git-svn-id: http://svn.slicer.org/Slicer4/trunk@22253 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Scripted/DataProbe/DataProbe.py Diff File

Import 2017-06-07 23:51:09: master 27de5a06

2015-09-15 18:44:32

jcfr

Details Diff
STYLE: DataProbe: Remove unused code setting 'currentLayoutName' ivar

This commit removes code initially introduced in r22253 (BUG: 0003262
update data probe on non-mouse-move events) that later became obsolete
with r23387 (ENH: Added mouse cursor position to vtkMRMLCrosshairNode.)

From: Jean-Christophe Fillion-Robin <jchris.fillionr@kitware.com>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@24547 3bd1e089-480b-0410-8dfb-8563597acbee
mod - Modules/Scripted/DataProbe/DataProbe.py Diff File

Issue History

Date Modified Username Field Change
2013-07-31 06:17 fedorov New Issue
2013-07-31 06:17 fedorov Status new => assigned
2013-07-31 06:17 fedorov Assigned To => pieper
2013-08-01 12:07 pieper Target Version => Slicer 4.3.0
2013-08-01 12:09 pieper Note Added: 0009345
2013-08-01 12:09 pieper Status assigned => resolved
2013-08-01 12:09 pieper Fixed in Version => Slicer 4.3.0
2013-08-01 12:09 pieper Resolution open => fixed
2013-08-03 04:58 fedorov Note Added: 0009376
2013-08-03 04:58 fedorov Status resolved => closed
2015-09-14 21:13 jcfr Status closed => acknowledged
2015-09-14 21:13 jcfr Target Version Slicer 4.3.0 =>
2015-09-14 21:14 jcfr Note Added: 0013271
2015-09-14 21:17 jcfr Note Edited: 0013271
2015-09-14 21:17 jcfr Note Edited: 0013271
2017-06-07 23:27 pieper Changeset attached => Slicer 2145-support-for-installing-extension-from-file 4d2dd723
2017-06-10 08:51 jcfr Changeset attached => Slicer master 27de5a06
2018-05-30 00:03 lassoan Target Version => backlog
2018-05-30 00:03 lassoan Note Added: 0015795